#
# spec file for package zoneminder (Version 1.24.2) SuSE 10.x and openSuSE 11.x
#
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to monex@liquid-co.de
#

# norootforbuild

%bcond_with mp_package
%bcond_without debug 

%if %{with mp_package}
Name:           ZoneMinder-MP
%else
Name:           ZoneMinder
%endif
BuildRequires:  apache2 php5 apache2-mod_php5 php5-mysql php5-bz2 php5-gd php5-zlib php5-iconv php5-mcrypt php5-sockets pcre-devel libjpeg-devel gcc gcc-c++ perl perl-Archive-Tar perl-Archive-Zip perl-DBI perl-DBD-mysql perl-Crypt-SSLeay perl-XML-Parser perl-libwww-perl perl-Date-Manip perl-MIME-Lite perl-MIME-tools perl-PHP-Serialization vorbis-tools unzip libmysqlclient-devel libgnutls-devel perl-macros fdupes

%if %{with mp_package}
BuildRequires:  faac faad2 faad2-devel ffmpeg lame libffmpeg0 libffmpeg-devel libmp4v2 libmp4v2-devel x264 x264-devel xvid xvid-devel
%endif
%{perl_requires}
Requires:       apache2 netpbm php5 apache2-mod_php5 php5-mysql php5-bz2 php5-gd php5-zlib php5-iconv php5-mcrypt php5-sockets python mysql perl-Archive-Tar perl-Archive-Zip perl-DBI perl-DBD-mysql perl-Crypt-SSLeay perl-XML-Parser perl-libwww-perl perl-Date-Manip perl-MIME-Lite perl-MIME-tools perl-PHP-Serialization php5-zip zip
PreReq:         permissions
%if %suse_version < 1120
Requires: perl-Module-Load
%endif
Requires(post): permissions
%if %{with mp_package}
Requires:       ffmpeg libffmpeg0 lame
%endif
Recommends:     perl-Device-SerialPort
%if %{with mp_package}
Conflicts:      ZoneMinder
%endif
License:        GPL
Group:          Productivity/Networking/Web/Servers
Summary:        Video camera security and surveillance
Version:        1.24.2
Release:        11.1
Packager:       Monex <monex@liquid-co.de>
URL:            http://www.zoneminder.com/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        ZoneMinder-%{version}.tar.gz
Source1:        zm.init
Source2:        zm_database_init
Source3:        cambozola.jar
Source4:        README.cambozola.html
Source5:        LICENSE.cambozola
Source6:        zm.logrotate
Source7:        README.SuSE
Source8:        zm.apache
Source9:        mootools-1.2.3-core.js
Source10:       LICENSE.mootools
Source11:       permissions
Source12:       permissions.secure
Source13:       permissions.paranoid
Patch1:         chown.patch
Patch2:         zm.conf.patch
Patch3:         zm_database_default_config.patch
Patch4:         fix_warnings.patch
Patch5:         fix-includes.patch
Patch6:         configure_ac_ffmpeg.patch
Patch7:         zm_libjpeg_mem_functions.patch
Patch8:         zm_amppjunior.patch

%description
ZoneMinder is a video camera security and surveillance system for linux

Authors:
--------
    Philip Coombes <philip.coombes@zoneminder.com>

%description -l de
ZoneMinder ist eine Video-Überwachungs-Suite für Linux

Authors:
--------
    Philip Coombes <philip.coombes@zoneminder.com>


%debug_package
%prep

%if %{with mp_package}
%setup -q -n ZoneMinder-%{version}
%else
%setup -q
%endif
cp -a %SOURCE4 .
cp -a %SOURCE5 .
cp -a %SOURCE7 .
cp -a %SOURCE10 .
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if %suse_version > 1030
%patch5 -p1
%endif
%if %{with mp_package}
%patch6 -p1
%endif
%patch7 -p1
%patch8 -p1
aclocal
autoconf
automake

%build
./configure \
  --with-mysql=/usr/include/mysql \
  --with-webdir=/srv/www/htdocs/zm \
  --with-cgidir=/srv/www/cgi-bin \
  --sysconfdir=/etc \
  --bindir=/usr/bin \
  --disable-mmap \
%if %{with mp_package}
  --with-ffmpeg=/usr/include/ \
%else
  --without-ffmpeg \
%endif
%ifarch x86_64
  --with-libarch=lib64 \
%else
  --with-libarch=lib \
%endif
  --with-webuser=wwwrun \
  --with-webgroup=www \
%if %{with debug}
  --enable-crashtrace=yes \
  --enable-debug=yes \
%else
  --disable-crashtrace \
  --enable-debug=no \
%endif
  ZM_DB_HOST=localhost \
  ZM_DB_NAME=zm \
  ZM_DB_USER=zm_admin \
  ZM_DB_PASS=pass \
  ZM_SSL_LIB=openssl

# hack to install perl modules in vendor_perl instead of site_perl
pushd scripts/ZoneMinder
%{__perl} Makefile.PL INSTALLDIRS=vendor || return 1
popd

%{__make}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%perl_process_packlist
%perl_gen_filelist
%__install -m 700 -d %buildroot/usr/share/zm/db
%__install -m 600 db/*.sql %buildroot/usr/share/zm/db
for f in /etc/logrotate.d /etc/init.d /usr/sbin /etc/cron.hourly/ /var/log /etc/apache2/conf.d %{_sysconfdir}/permissions.d/
do
    %__install -d %buildroot/$f
done
%__install -m 754 %{S:1} %buildroot/etc/init.d/zm
%__install -m 700 %{S:2} %buildroot/usr/sbin/zm_database_init
ln -s ../../etc/init.d/zm %buildroot/usr/sbin/rczm
%__install -m 644 %{S:3} %buildroot/srv/www/htdocs/zm/
%__install -m 644 %{S:9} %buildroot/srv/www/htdocs/zm/mootools.js
%__install -m 775 -d %buildroot/var/log/zm
%__install -m 644 %{S:6} %buildroot/etc/logrotate.d/zm
%__install -m 644 %{S:8} %buildroot/etc/apache2/conf.d/zm.conf

%__install -m 644 %{S:11} %{buildroot}%{_sysconfdir}/permissions.d/%{name}
%__install -m 644 %{S:11} %{buildroot}%{_sysconfdir}/permissions.d/%{name}.easy

%__install -m 644 %{S:12} %{buildroot}%{_sysconfdir}/permissions.d/%{name}
%__install -m 644 %{S:13} %{buildroot}%{_sysconfdir}/permissions.d/%{name}


%fdupes -s $RPM_BUILD_ROOT/%_mandir
%fdupes $RPM_BUILD_ROOT

%if 0%{?suse_version} >= 1120
%verifyscript
%verify_permissions -e %{_bindir}/zmfix
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%dir /usr/share/zm
%dir /usr/share/zm/db
/usr/share/zm/db/*.sql
/etc/apache2/conf.d/*.conf
/srv/www/htdocs/zm/cambozola.jar
%dir /srv/www/htdocs/zm/ajax
/srv/www/htdocs/zm/ajax/*.php
%dir /srv/www/htdocs/zm/css
/srv/www/htdocs/zm/css/*
%dir /srv/www/htdocs/zm/graphics
/srv/www/htdocs/zm/graphics/*
%dir /srv/www/htdocs/zm/includes
/srv/www/htdocs/zm/includes/*.php
%dir /srv/www/htdocs/zm/js
/srv/www/htdocs/zm/js/*
%dir /srv/www/htdocs/zm/lang
/srv/www/htdocs/zm/lang/*.php
/srv/www/htdocs/zm/*.js
/srv/www/htdocs/zm/*.php
%dir /srv/www/htdocs/zm/skins
%dir /srv/www/htdocs/zm/skins/classic
%dir /srv/www/htdocs/zm/skins/classic/ajax
%dir /srv/www/htdocs/zm/skins/classic/css
%dir /srv/www/htdocs/zm/skins/classic/graphics
%dir /srv/www/htdocs/zm/skins/classic/includes
%dir /srv/www/htdocs/zm/skins/classic/js
%dir /srv/www/htdocs/zm/skins/classic/lang
%dir /srv/www/htdocs/zm/skins/classic/views
%dir /srv/www/htdocs/zm/skins/classic/views/css
%dir /srv/www/htdocs/zm/skins/classic/views/js
%dir /srv/www/htdocs/zm/skins/mobile
%dir /srv/www/htdocs/zm/skins/mobile/ajax
%dir /srv/www/htdocs/zm/skins/mobile/css
%dir /srv/www/htdocs/zm/skins/mobile/graphics
%dir /srv/www/htdocs/zm/skins/mobile/includes
%dir /srv/www/htdocs/zm/skins/mobile/lang
%dir /srv/www/htdocs/zm/skins/mobile/views
%dir /srv/www/htdocs/zm/skins/mobile/views/css
/srv/www/htdocs/zm/skins/classic/*.php
/srv/www/htdocs/zm/skins/classic/includes/*.php
/srv/www/htdocs/zm/skins/classic/views/*.php
/srv/www/htdocs/zm/skins/classic/views/css/*
/srv/www/htdocs/zm/skins/classic/views/js/*
/srv/www/htdocs/zm/skins/classic/views/Makefile.am
/srv/www/htdocs/zm/skins/classic/js/*
/srv/www/htdocs/zm/skins/classic/css/*
/srv/www/htdocs/zm/skins/classic/graphics/*
/srv/www/htdocs/zm/skins/mobile/*.php
/srv/www/htdocs/zm/skins/mobile/includes/*.php
/srv/www/htdocs/zm/skins/mobile/views/*.php
/srv/www/htdocs/zm/skins/mobile/views/css/*
/srv/www/htdocs/zm/skins/mobile/css/*
%dir /srv/www/htdocs/zm/tools/
/srv/www/htdocs/zm/tools/*
/srv/www/cgi-bin/nph-zms
/srv/www/cgi-bin/zms
%dir /srv/www/htdocs/zm

%defattr(-,wwwrun,www)
%dir /srv/www/htdocs/zm/events
%dir /srv/www/htdocs/zm/images
%dir /srv/www/htdocs/zm/sounds
%dir /srv/www/htdocs/zm/temp
%dir /srv/www/htdocs/zm/views
%dir /var/run/zm

%defattr(-,root,root)
%verify(not mode) %attr(0755,root,root) /usr/bin/zmfix
%_sysconfdir/permissions.d/*
%config(noreplace) /etc/init.d/zm
%_sbindir/zm_database_init
%_sbindir/rczm
/etc/logrotate.d/zm
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* LICENSE*
%defattr(640,root,www)
%config(noreplace) /etc/zm.conf
%defattr(-,root,www)
%dir /var/log/zm

%post
/sbin/ldconfig
touch /usr/share/zm/lock

%if 0%{?set_permissions:1} > 0
    %set_permissions /usr/bin/zmfix
%else
    %run_permissions
%endif

%preun
%stop_on_removal zm
if [ $1 -eq 0 ]; then
    if test -f /usr/share/zm/lock ; then
        rm -f /usr/share/zm/lock
    fi
fi

%postun
%restart_on_update zm
%insserv_cleanup
/sbin/ldconfig

%if %{with mp_package}
%changelog -n ZoneMinder-MP
%else
%changelog -n ZoneMinder
%endif
